
/**
 * ExperimentPanel.java
 * This isterface is used to add support for differennt experiments 
 *
 * Created: Dec 27 2003
 *
 * @author Nathan Stevens
 * @version 0.4 3/10/06
 */
import java.io.*;
import java.awt.event.*;
import java.util.*;

public interface ExperimentPanel {
  
  // Method to add the spectra data list
  void setExperimentData(ExperimentData edata);
  
  // Method to get the experiment data list
  ExperimentData getExperimentData();
  
  // Method to add a single Spectra Data Object
  void addSpectraData(SpectraData sdata);
  
  // Method to add an array of Spectra Data
  void addSpectraData(SpectraData[] sda);
  
  // Method to update the data int the SpectraData objects
  void updateSpectraData(SpectraData[] sda);
  
  // Method to get the selected Index
  SpectraData[] getSelectedSpectraData();
  
  // Method to set the file to save data in
  void setSpectraDataListFile(File file);
  
  // Method to set the file to save data in
  File getSpectraDataListFile();
  
  // Method to update the data list view in this case a jList
  void updateSpectraDataListView();
  
  // Method to get the save status
  boolean isSaved();
  
  //Method to set saved
  void setSaved(boolean b);
  
  // Method to print message to the console
  void print(String text);
  
  // Method to set the mouse listener
  void setMouseListener(MouseListener listener);
  
  // Method to get the type of experiment panel
  String getName(); // what panel this is
  
} // --end class ExperimentPanel
